Author Topic: Dell 720 Printer (SOLVED)  (Read 1421 times)

Zak

  • Sr. Member
  • ****
  • Posts: 45
    • View Profile
Dell 720 Printer (SOLVED)
« on: January 12, 2017, 06:54:18 PM »
Hi - I am trying to install a Dell 720 printer in R10 on a 64 bit PC..  I have followed the directions I have found elsewhere on the web, which state to install libstdc++5 for 64 and 32 and the lexmark z600 driver.  I was able to install this on Zorin 12.04 on a 32 bit PC.  What happens now is I install it succesfully, but when I try to print, it gives a message of "stopped".

Any suggestions?
« Last Edit: January 27, 2017, 06:07:02 PM by Zak »

blaze

  • wattOS Veteran
  • Sr. Member
  • ****
  • Posts: 408
  • blazing away
    • View Profile
Re: Dell 720 Printer
« Reply #1 on: January 16, 2017, 09:31:46 PM »
Printers can be a real pain in a certain place. I see that there are quite a lot of support requests about your printer. I included a link from Ubuntu forum from someone that says it should work. Have you done your driver install that way? Are you trying to print wireless, or cable?

https://ubuntuforums.org/showthread.php?t=2333358

Have you read this, and tried the "localhost:631" method? See under "Adding a printer".

https://wiki.debian.org/SystemPrinting
How To Ask Questions The Smart Way; http://www.catb.org/~esr/faqs/smart-questions.html

... and when SOLVED, please edit thread title in first post! :)

leenie

  • Global Moderator
  • Sr. Member
  • *****
  • Posts: 140
    • View Profile
Re: Dell 720 Printer
« Reply #2 on: January 17, 2017, 02:43:58 AM »
Hi Zak, install cups and try again.

Zak

  • Sr. Member
  • ****
  • Posts: 45
    • View Profile
Re: Dell 720 Printer
« Reply #3 on: January 17, 2017, 05:43:02 AM »
Hi leenie and blaze and thanks for responding!

Leenie - yes, CUPS is installed.

Blaze - I had seen that post in the first link and had attempt to install libcupsimage2 (386), but I received an error message in GDebi and gave up.  So, tonight, I triied it with dpkg in Terminal, and received messages that it was not able to be installed because of dependencies with libcups2 and libcupsfilters.  When i tried to install libcups2, I get 4 dependencies....libavahi client 3 and common3, libgnutls30, and libgssapi-krb-2.  I have a feeling this will keep going on and was wondering if you had any ideas

blaze

  • wattOS Veteran
  • Sr. Member
  • ****
  • Posts: 408
  • blazing away
    • View Profile
Re: Dell 720 Printer
« Reply #4 on: January 17, 2017, 08:27:25 AM »
Sorry Zak, no more ideas here.  :-\  A couple of years back when I were setting up my printer, I remember that I had to install the dependency of the dependency of the dependency to get it to work. Do not have a clue if that is your case. Just wish you good luck with it. :)
How To Ask Questions The Smart Way; http://www.catb.org/~esr/faqs/smart-questions.html

... and when SOLVED, please edit thread title in first post! :)

Zak

  • Sr. Member
  • ****
  • Posts: 45
    • View Profile
Re: Dell 720 Printer
« Reply #5 on: January 17, 2017, 06:00:13 PM »
Thanks Blaze. 

This morning I woke up thinking about Leenie's response.  I have Cups installed, but not 386 Cups.  I will do some research on that and see if that might have these other files.....

leenie

  • Global Moderator
  • Sr. Member
  • *****
  • Posts: 140
    • View Profile
Re: Dell 720 Printer
« Reply #6 on: January 17, 2017, 06:55:39 PM »
Hi Zak, hope it works.

Zak

  • Sr. Member
  • ****
  • Posts: 45
    • View Profile
Re: Dell 720 Printer
« Reply #7 on: January 18, 2017, 06:17:42 PM »
Hey leenie and blaze -

I did a lot of work last night installing dependencies and got the printer to work.  In hind-sight, I don't think I needed to install as much as I did, but will test that another time.  Here is my dilemma - I turned on the computer and can't login.  I am not hugely surprised as I figured I would probably muck something up with all of that package installation.  When I go to Recovery in Grub, I chose DPKG to check broken dependencies and found that it wants to remove multiarch-support:i386 and install multiarch-support.  When I approve for it to go ahead, it says "Could not download the upgrades.  The upgrade has aborted."  Then it talks about checking the internet connection (which was fine last night) or installation media.  "Failed to fetch htt'://us.archive.ubuntu.com/ubuntu/pool/ main/g/glibc/multiarch-support_2.23-0ubuntu3.amd64.deb.  Temporary failure resolving 'us.archive.ubuntu.com'.

I realize this is beyond the original question, but you both seem knowledgeable and it didn't seem right to start another thread here.

Zak

  • Sr. Member
  • ****
  • Posts: 45
    • View Profile
Re: Dell 720 Printer
« Reply #8 on: January 18, 2017, 07:51:39 PM »
update - just tried to ping 8.8.8.8 and got connect:Network is unreachable.

i
Really would rather not do an install.  Any thoughts or should I take this to the Ubuntu forum as it is now off-topic?

cheiron

  • Global Moderator
  • Sr. Member
  • *****
  • Posts: 132
  • Site Moderator for Planetwatt.com
    • View Profile
Re: Dell 720 Printer
« Reply #9 on: January 18, 2017, 09:12:02 PM »
quick question...


on your copy paste.. you have "htt':// and not http://  <-- is that actual copy paste or just a slip with your typing ?

Zak

  • Sr. Member
  • ****
  • Posts: 45
    • View Profile
Re: Dell 720 Printer
« Reply #10 on: January 19, 2017, 04:31:26 AM »
Hey Cheiron - thanks for checking this out.  I didn't copy and paste as I was typing on a different computer than where the problem is.  So....it was a typo.

Any thoughts?

cheiron

  • Global Moderator
  • Sr. Member
  • *****
  • Posts: 132
  • Site Moderator for Planetwatt.com
    • View Profile
Re: Dell 720 Printer
« Reply #11 on: January 19, 2017, 06:31:52 AM »
Initial thoughts are try a different server from the drop down menu.  There are 2 servers if memory serves me right. . You could try swapping and seeing if that helps

Zak

  • Sr. Member
  • ****
  • Posts: 45
    • View Profile
Re: Dell 720 Printer
« Reply #12 on: January 19, 2017, 06:59:32 AM »
Hi Cheiron - by "drop-down menu" do you mean the GRUB recovery choices?

cheiron

  • Global Moderator
  • Sr. Member
  • *****
  • Posts: 132
  • Site Moderator for Planetwatt.com
    • View Profile
Re: Dell 720 Printer
« Reply #13 on: January 19, 2017, 09:12:32 AM »
In software updater from main screen. You will have options for Ubuntu software. . Other software. . Updates... authentication. .. etc.

On the Ubuntu software bit there should be a part saying. ..

Download from. That will either have  main server or server for United States showing. There is a drop down box there to swap.

It might help.. might not... I've had to swap a few times before on occasion but then I'm not sure what I was trying to do at the time

Zak

  • Sr. Member
  • ****
  • Posts: 45
    • View Profile
Re: Dell 720 Printer
« Reply #14 on: January 19, 2017, 05:45:46 PM »
Hi Cheiron -

right now, I can't login.  Just the GRUB choices.  If I chose the WattOS, I get a black screen.  If I choose Recovery, I have other choices, but don't have much experience with Recovery.  The details of what I have tried and the result are above.